### Function

# GObject type_set_qdata

since: 2.0

#### Declaration

    void
    g_type_set_qdata (
      GType type,
      GQuark quark,
      gpointer data
    )

#### Description

Attaches arbitrary data to a type.

Available since: 2.0

#### Parameters

`type`

  Type: `GType`

  A `GType`.

`quark`

  Type: `GQuark`

  A `GQuark` id to identify the data.

`data`

  Type: `gpointer`

  The data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.